# Uses of Interface
com.sun.mirror.apt.Messager

Packages that use Messager
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.
org.eclipse.jdt.apt.core.util
This package contains miscellaneous APIs related to Java annotation processing.

## Uses of Messager in com.sun.mirror.apt

Methods in com.sun.mirror.apt that return Messager
Modifier and Type
Method
Description
`Messager`
AnnotationProcessorEnvironment.`getMessager()`
Returns the messager used to report errors, warnings, and other notices.

## Uses of Messager in org.eclipse.jdt.apt.core.util

Subinterfaces of Messager in org.eclipse.jdt.apt.core.util
Modifier and Type
Interface
Description
`interface`
`EclipseMessager`
Extend the APT `Messager` to allow the registrating of diagnostics on ast nodes.